> ## Documentation Index
> Fetch the complete documentation index at: https://vozpravideo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Gerar Áudio

> Retorna uma lista de áudios gerados.



## OpenAPI

````yaml GET /generations/list
openapi: 3.0.0
info:
  title: Voz pra Vídeo API
  description: >-
    API para gerar narrações em áudio utilizando Inteligência Artificial (IA) a
    partir de textos fornecidos.
  version: 1.0.0
servers:
  - url: https://voz-pra-video-api.fly.dev/api
security:
  - TokenAuth: []
paths:
  /generations/list:
    get:
      description: Retorna uma lista de áudios gerados.
      responses:
        '200':
          description: Lista de áudios gerados
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IPublicGeneration'
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    IPublicGeneration:
      required:
        - _id
        - aiVoice
        - text
        - link
        - complete
      type: object
      properties:
        _id:
          type: string
        aiVoice:
          $ref: '#/components/schemas/IPublicAIVoice'
        text:
          type: string
        seconds:
          type: integer
        link:
          type: string
        externalId:
          type: string
        complete:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    IPublicAIVoice:
      required:
        - _id
        - name
      type: object
      properties:
        _id:
          type: string
        name:
          description: Nome da voz de IA
          type: string
        avatar:
          description: URL do avatar da voz
          type: string
        audioPreview:
          description: URL de pré-visualização do áudio
          type: string
        plan:
          description: Plano disponível para a voz (FREE ou PREMIUM)
          type: string
          enum:
            - FREE
            - PREMIUM
  securitySchemes:
    TokenAuth:
      type: http
      scheme: bearer

````